Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[ GLSA 200503-09 ] xv: Filename handling vulnerability
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index News & Announcements
View previous topic :: View next topic  
Author Message
GLSA
Bodhisattva
Bodhisattva


Joined: 25 Feb 2003
Posts: 3827
Location: Essen, Germany

PostPosted: Fri Mar 04, 2005 5:23 pm    Post subject: [ GLSA 200503-09 ] xv: Filename handling vulnerability Reply with quote

Gentoo Linux Security Advisory

Title: xv: Filename handling vulnerability (GLSA 200503-09)
Severity: normal
Exploitable: remote
Date: March 04, 2005
Updated: May 22, 2006
Bug(s): #83686
ID: 200503-09

Synopsis

xv contains a format string vulnerability, potentially resulting in the execution of arbitrary code.

Background

xv is an interactive image manipulation package for X11.

Affected Packages

Package: media-gfx/xv
Vulnerable: < 3.10a-r10
Unaffected: >= 3.10a-r10
Architectures: All supported architectures


Description

Tavis Ormandy of the Gentoo Linux Security Audit Team identified a flaw in the handling of image filenames by xv.

Impact

Successful exploitation would require a victim to process a specially crafted image with a malformed filename, potentially resulting in the execution of arbitrary code.

Workaround

There is no known workaround at this time.

Resolution

All xv users should upgrade to the latest version:
Code:
# emerge --sync
# emerge --ask --oneshot --verbose ">=media-gfx/xv-3.10a-r10"


References

CVE-2005-0665


Last edited by GLSA on Mon May 22, 2006 4:18 am; edited 2 times in total
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index News & Announcements All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum